import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
  parallel,
  geoConicEqualArea,
  geoArmadillo,
  geoAzimuthalEqualArea,
} from 'd3';
// Create a projection  instance
const projection = geoAzimuthalEqualArea();
// create the path of the countries which depends on the kind of projection
const path = geoPath(projection);
// create the grid in the map
const graticule = geoGraticule();

export const Marks = ({ data: { interiors, land } }) => (
  <g className="marks">
    // tag for drawing the sphere
    <path className="sphere" d={path({ type: 'Sphere' })} />
    // tag for placing the grid
    <path className="graticules" d={path(graticule())} />
		// outside polygons of each continent (shape)
    {land.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}
		// draw the internal boundaries
    <path className="interiors" d={path(interiors)} />
  </g>
);
