import { useEffect, useState } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';
//read the coordinates of the polygons that are in a JsonFile
const jsonUrl =
  'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';
//app to read the data
export const useData = () => {
  const [data, setData] = useState(null);
  console.log(data);
	//read the data
  useEffect(() => {
    json(jsonUrl).then((topology) => {
      // extract the countries and land from topology
      const { countries, land } = topology.objects;
      setData({
        // get the topology and land into one attribute
        land: feature(topology, land),
        // get the internal boundaries
        interiors: mesh(
          topology,
          countries,
          (a, b) => a !== b
        ),
      });
    });
  }, []);

  return data;
};
